%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate papergrid

Name:           rust-papergrid
Version:        0.10.0
Release:    2%{?dist}
Summary:        Core library to print a table

License:        MIT
URL:            https://crates.io/crates/papergrid
Source0:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Papergrid is a core library to print a table.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansi-str-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansi-str-devel %{_description}

This package contains library source intended for building other packages which
use the "ansi-str" feature of the "%{crate}" crate.

%files       -n %{name}+ansi-str-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansitok-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansitok-devel %{_description}

This package contains library source intended for building other packages which
use the "ansitok" feature of the "%{crate}" crate.

%files       -n %{name}+ansitok-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-devel %{_description}

This package contains library source intended for building other packages which
use the "color" feature of the "%{crate}" crate.

%files       -n %{name}+color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.10.0-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10.0-1
- initial build
